js_calldist.d(1m)

NAME
js_calldist.d - measure JavaScript elapsed times for types of operation.

SYNOPSIS
js_calldist.d

DESCRIPTION
This traces JavaScript activity from all browsers running on the system with JavaScript provider support. Filename and function names are printed if available.

OS
Any

STABILITY
Evolving - uses the DTrace JavaScript provider, which may change as additional features are introduced. Check JavaScript/Readme to see what version these scripts are based on.

EXAMPLES

Default output,
    # js_calldist.d

FIELDS

1   Filename of the JavaScript program

2   Type of call (func/obj-new)

3   Name of call

DOCUMENTATION
See the DTraceToolkit for further documentation under the Examples, Notes and Docs directories. The example files may be especially useful as they aim to demonstrate how to interpret the output.

EXIT
js_calldist.d will run until Ctrl-C is hit.

AUTHOR
Brendan Gregg [CA, USA]

SEE ALSO
dtrace(1M)